# Class TCustomClientHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFClient

## Declaration

`type TCustomClientHandler = class(TCefClientOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefClientOwn
- TCustomClientHandler

## Overview

### Fields

| `FEvents: Pointer;`
| `FAudioHandler: ICefAudioHandler;`
| `FCommandHandler: ICefCommandHandler;`
| `FLoadHandler: ICefLoadHandler;`
| `FFocusHandler: ICefFocusHandler;`
| `FContextMenuHandler: ICefContextMenuHandler;`
| `FDialogHandler: ICefDialogHandler;`
| `FKeyboardHandler: ICefKeyboardHandler;`
| `FDisplayHandler: ICefDisplayHandler;`
| `FDownloadHandler: ICefDownloadHandler;`
| `FJsDialogHandler: ICefJsDialogHandler;`
| `FLifeSpanHandler: ICefLifeSpanHandler;`
| `FRenderHandler: ICefRenderHandler;`
| `FRequestHandler: ICefRequestHandler;`
| `FDragHandler: ICefDragHandler;`
| `FFindHandler: ICefFindHandler;`
| `FPrintHandler: ICefPrintHandler;`
| `FFrameHandler: ICefFrameHandler;`
| `FPermissionHandler: ICefPermissionHandler;`

### Methods

| `procedure GetAudioHandler(var aHandler : ICefAudioHandler); override;`
| `procedure GetCommandHandler(var aHandler : ICefCommandHandler); override;`
| `procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler); override;`
| `procedure GetDialogHandler(var aHandler : ICefDialogHandler); override;`
| `procedure GetDisplayHandler(var aHandler : ICefDisplayHandler); override;`
| `procedure GetDownloadHandler(var aHandler : ICefDownloadHandler); override;`
| `procedure GetDragHandler(var aHandler : ICefDragHandler); override;`
| `procedure GetFindHandler(var aHandler : ICefFindHandler); override;`
| `procedure GetFocusHandler(var aHandler : ICefFocusHandler); override;`
| `procedure GetFrameHandler(var aHandler : ICefFrameHandler); override;`
| `procedure GetPermissionHandler(var aHandler: ICefPermissionHandler); override;`
| `procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler); override;`
| `procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler); override;`
| `procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler); override;`
| `procedure GetLoadHandler(var aHandler : ICefLoadHandler); override;`
| `procedure GetPrintHandler(var aHandler : ICefPrintHandler); override;`
| `procedure GetRenderHandler(var aHandler : ICefRenderHandler); override;`
| `procedure GetRequestHandler(var aHandler : ICefRequestHandler); override;`
| `function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean; override;`
| `procedure InitializeVars;`
| `constructor Create(const events: IChromiumEvents; aDevToolsClient : boolean = False); reintroduce; virtual;`
| `procedure BeforeDestruction; override;`
| `procedure RemoveReferences; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

| `FAudioHandler: ICefAudioHandler;`
This item has no description.

| `FCommandHandler: ICefCommandHandler;`
This item has no description.

| `FLoadHandler: ICefLoadHandler;`
This item has no description.

| `FFocusHandler: ICefFocusHandler;`
This item has no description.

| `FContextMenuHandler: ICefContextMenuHandler;`
This item has no description.

| `FDialogHandler: ICefDialogHandler;`
This item has no description.

| `FKeyboardHandler: ICefKeyboardHandler;`
This item has no description.

| `FDisplayHandler: ICefDisplayHandler;`
This item has no description.

| `FDownloadHandler: ICefDownloadHandler;`
This item has no description.

| `FJsDialogHandler: ICefJsDialogHandler;`
This item has no description.

| `FLifeSpanHandler: ICefLifeSpanHandler;`
This item has no description.

| `FRenderHandler: ICefRenderHandler;`
This item has no description.

| `FRequestHandler: ICefRequestHandler;`
This item has no description.

| `FDragHandler: ICefDragHandler;`
This item has no description.

| `FFindHandler: ICefFindHandler;`
This item has no description.

| `FPrintHandler: ICefPrintHandler;`
This item has no description.

| `FFrameHandler: ICefFrameHandler;`
This item has no description.

| `FPermissionHandler: ICefPermissionHandler;`
This item has no description.

### Methods

| `procedure GetAudioHandler(var aHandler : ICefAudioHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetAudioHandler. Return the handler for audio rendering events.

| `procedure GetCommandHandler(var aHandler : ICefCommandHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetCommandHandler. Return the handler for commands. If no handler is provided the default implementation will be used.

| `procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetContextMenuHandler. Return the handler for context menus. If no handler is provided the default implementation will be used.

| `procedure GetDialogHandler(var aHandler : ICefDialogHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetDialogHandler. Return the handler for dialogs. If no handler is provided the default implementation will be used.

| `procedure GetDisplayHandler(var aHandler : ICefDisplayHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetDisplayHandler. Return the handler for browser display state events.

| `procedure GetDownloadHandler(var aHandler : ICefDownloadHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetDownloadHandler. Return the handler for download events. If no handler is returned downloads will not be allowed.

| `procedure GetDragHandler(var aHandler : ICefDragHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetDragHandler. Return the handler for drag events.

| `procedure GetFindHandler(var aHandler : ICefFindHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetFindHandler. Return the handler for find result events.

| `procedure GetFocusHandler(var aHandler : ICefFocusHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetFocusHandler. Return the handler for focus events.

| `procedure GetFrameHandler(var aHandler : ICefFrameHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetFrameHandler. Return the handler for events related to ICefFrame lifespan. This function will be called once during ICefBrowser creation and the result will be cached for performance reasons.

| `procedure GetPermissionHandler(var aHandler: ICefPermissionHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetPermissionHandler. Return the handler for permission requests.

| `procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetJsdialogHandler. Return the handler for JavaScript dialogs. If no handler is provided the default implementation will be used.

| `procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetKeyboardHandler. Return the handler for keyboard events.

| `procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetLifeSpanHandler. Return the handler for browser life span events.

| `procedure GetLoadHandler(var aHandler : ICefLoadHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetLoadHandler. Return the handler for browser load status events.

| `procedure GetPrintHandler(var aHandler : ICefPrintHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetPrintHandler. Return the handler for printing on Linux. If a print handler is not provided then printing will not be supported on the Linux platform.

| `procedure GetRenderHandler(var aHandler : ICefRenderHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetRenderHandler. Return the handler for off-screen rendering events.

| `procedure GetRequestHandler(var aHandler : ICefRequestHandler); override;`
This item has no description. Showing description inherited from ICefClient.GetRequestHandler. Return the handler for browser request events.

| `function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean; override;`
This item has no description. Showing description inherited from ICefClient.OnProcessMessageReceived. Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

| `procedure InitializeVars;`
This item has no description.

| `constructor Create(const events: IChromiumEvents; aDevToolsClient : boolean = False); reintroduce; virtual;`
This item has no description.

| `procedure BeforeDestruction; override;`
This item has no description.

| `procedure RemoveReferences; override;`
This item has no description. Showing description inherited from ICefClient.RemoveReferences. Custom procedure to clear all references.

Generated by PasDoc 0.16.0-snapshot.